-----------LOBÃOGAMER----------


local screenW,screenH = guiGetScreenSize()
local resW, resH = 1600,900
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

function lobaoHud ( ... )
    if (not isPlayerMapVisible()) then

        local Dinheiro = getPlayerMoney(localPlayer)
        local Banco = getElementData(localPlayer, "Bank:Caixa") or "0"
        local weapon = getPedWeapon(getLocalPlayer())
	    local weaponClip = getPedAmmoInClip(getLocalPlayer(), getPedWeaponSlot(getLocalPlayer()))
	    local weaponAmmo = getPedTotalAmmo(getLocalPlayer()) - getPedAmmoInClip(getLocalPlayer())
        local vida = math.floor(getElementHealth(getLocalPlayer()))
        local colete = math.floor(getPedArmor(getLocalPlayer()))
        local fome = getElementData(getLocalPlayer(), "AirNewSCR_Fome") or 0
        local sede = getElementData(getLocalPlayer(), "AirNewSCR_Sede") or 0
       
          dxDrawRectangle(screenW * 0.8769, screenH * 0.0367, screenW * 0.1231, screenH * 0.0233, tocolor(0, 0, 0, 104), false)
        dxDrawImage(screenW * 0.8788, screenH * 0.0356, screenW * 0.0163, screenH * 0.0244, ":HUD(2)/files/Icons/Vida.png", 0, 0, 0, tocolor(255, 45, 45, 250), false)
        dxDrawText("", 1444, 32, 1577, 54, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)
        dxDrawText("Vida : "..vida.."%", screenW * 0.9025, screenH * 0.0356, screenW * 0.9856, screenH * 0.0600, tocolor(255, 255, 255, 255), 1.00, "default-bold", "left", "top", false, false, false, false, false)
        dxDrawRectangle(screenW * 0.8769, screenH * 0.0867, screenW * 0.1231, screenH * 0.0233, tocolor(0, 0, 0, 104), false)
        dxDrawRectangle(screenW * 0.8769, screenH * 0.1322, screenW * 0.1231, screenH * 0.0233, tocolor(0, 0, 0, 104), false)
        dxDrawRectangle(screenW * 0.8769, screenH * 0.1756, screenW * 0.1231, screenH * 0.0233, tocolor(0, 0, 0, 104), false)
        dxDrawImage(screenW * 0.8775, screenH * 0.1333, screenW * 0.0131, screenH * 0.0222, "files/Icons/Fome.png", 0, 0, 0, tocolor(240, 110, 59, 250), false)
        dxDrawImage(screenW * 0.8781, screenH * 0.0856, screenW * 0.0187, screenH * 0.0244, "files/Icons/Colete.png", 0, 0, 0, tocolor(125, 125, 125, 250), false)
        dxDrawImage(screenW * 0.8744, screenH * 0.1756, screenW * 0.0225, screenH * 0.0233, "files/Icons/Sede.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("Colete : "..colete.."%", screenW * 0.9019, screenH * 0.0889, screenW * 0.9762, screenH * 0.1100, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)
        dxDrawText(""..fome.."%", screenW * 0.9006, screenH * 0.1344, screenW * 0.9750, screenH * 0.1556, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)
        dxDrawText(""..sede.."%", screenW * 0.9069, screenH * 0.1778, screenW * 0.9812, screenH * 0.1989, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)
        dxDrawRectangle(screenW * 0.8769, screenH * 0.2278, screenW * 0.1231, screenH * 0.0233, tocolor(0, 0, 0, 104), false)
        dxDrawRectangle(screenW * 0.8769, screenH * 0.2778, screenW * 0.1231, screenH * 0.0233, tocolor(0, 0, 0, 104), false)
        dxDrawImage(screenW * 0.8762, screenH * 0.2289, screenW * 0.0206, screenH * 0.0222, "files/Icons/Dinheiro.png", 0, 0, 0, tocolor(7, 242, 7, 250), false)
        dxDrawImage(screenW * 0.8762, screenH * 0.2778, screenW * 0.0206, screenH * 0.0233, "files/Icons/Banco.png", 0, 0, 0, tocolor(23, 10, 196, 180), false)
        dxDrawText("$ : "..Dinheiro, screenW * 0.9006, screenH * 0.2300, screenW * 0.9750, screenH * 0.2511, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)
        dxDrawText("Banco : "..Banco, screenW * 0.9069, screenH * 0.2778, screenW * 0.9812, screenH * 0.2989, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)

    end
end



function setHud()
    addEventHandler("onClientRender", getRootElement(), lobaoHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)